Bug 20526 - Show and sort by date of request in pending discharges table
Summary: Show and sort by date of request in pending discharges table
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 20516 20524
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-05 13:53 UTC by Owen Leonard
Modified: 2018-05-14 17:25 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20526: Show and sort by date of request in pending discharges table (3.08 KB, patch)
2018-04-05 14:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20526: Show and sort by date of request in pending discharges table (3.13 KB, patch)
2018-04-06 05:12 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20526: Show and sort by date of request in pending discharges table (3.18 KB, patch)
2018-04-06 05:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-04-05 13:53:54 UTC
I think it would make sense to have the pending discharges table sorted by default by the request date, ascending.
Comment 1 Owen Leonard 2018-04-05 14:05:16 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2018-04-06 05:12:27 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2018-04-06 05:44:48 UTC
Created attachment 73728 [details] [review]
Bug 20526: Show and sort by date of request in pending discharges table

This patch adds a "date requested" column to the table of pending
discharges, and updates the DataTables configuration to sort by this
column by default.

The patch also makes some other changes:

- Table information and filtering have been added.
- The "Allow" link has been converted to a Bootstrap-styled buttong with
  an icon.

To test, apply the patch and view the table of pending discharge
requests. It should be sorted by default by date requested.

- Confirm that date sorting is correct.
- Confirm that other columns still sort correctly.
- Confirm that buttons look right.
- Confirm that the table information is correct.
- Confirm that the table search form works.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-04-06 17:53:56 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-05-14 17:25:40 UTC
Enhancement, not backported for 17.11.x